Subject: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Daniel Martín <[email-masked]>
Date: Fri, 02 Dec 2022 22:09:55 +0100

Theodor Thornhill <[email-masked]> writes:

> Right - thanks.  However, this makes me wonder - should we really be
> setting mark here? I see that c-indent-defun does not, and it feels
> weird that indenting adds to the mark ring.  What do you think?  My
> first patch used
>
> (indent-region
>   (treesit-node-start node)
>   (treesit-node-end node))
>
> Which behaves similarly to c-indent-defun.
>
> See attached patch.

I don't have a strong opinion, but if we can indent without setting the
mark, I think it'd be a cleaner command.  Specially if c-indent-defun
doesn't set the mark either.